Apache HTTP Server mod_proxy_http信息泄露漏洞

CVE编号

CVE-2010-2068

利用情况

暂无

补丁情况

N/A

披露时间

2010-06-19
漏洞描述
mod_proxy_http.c in mod_proxy_http in the Apache HTTP Server 2.2.9 through 2.2.15, 2.3.4-alpha, and 2.3.5-alpha on Windows, NetWare, and OS/2, in certain configurations involving proxy worker pools, does not properly detect timeouts, which allows remote attackers to obtain a potentially sensitive response intended for a different client in opportunistic circumstances via a normal HTTP request.Per: http://httpd.apache.org/security/vulnerabilities_22.html
'Only Windows, Netware and OS2 operating systems are affected.'
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://httpd.apache.org/security/vulnerabilities_22.html
http://lists.apple.com/archives/security-announce/2011/Mar/msg00006.html
http://mail-archives.apache.org/mod_mbox/httpd-announce/201006.mbox/%3C4C1293...
http://marc.info/?l=apache-announce&m=128009718610929&w=2
http://secunia.com/advisories/40206
http://secunia.com/advisories/40824
http://secunia.com/advisories/41480
http://secunia.com/advisories/41490
http://secunia.com/advisories/41722
http://securitytracker.com/id?1024096
http://support.apple.com/kb/HT4581
http://www-01.ibm.com/support/docview.wss?uid=nas352ca0ac9460f9b8886257777005dd0e4
http://www.apache.org/dist/httpd/patches/apply_to_2.2.15/CVE-2010-2068-r953616.patch
http://www.apache.org/dist/httpd/patches/apply_to_2.3.5/CVE-2010-2068-r953418.patch
http://www.ibm.com/support/docview.wss?uid=swg1PM16366
http://www.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c02512995
http://www.mandriva.com/security/advisories?name=MDVSA-2013:150
http://www.oracle.com/technetwork/topics/security/cpuapr2013-1899555.html
http://www.oracle.com/technetwork/topics/security/cpujuly2013-1899826.html
http://www.redhat.com/support/errata/RHSA-2011-0896.html
http://www.securityfocus.com/archive/1/511809/100/0/threaded
http://www.securityfocus.com/bid/40827
http://www.vupen.com/english/advisories/2010/1436
https://exchange.xforce.ibmcloud.com/vulnerabilities/59413
https://lists.apache.org/thread.html/8d63cb8e9100f28a99429b4328e4e7cebce861d5...
https://lists.apache.org/thread.html/f7f95ac1cd9895db2714fa3ebaa0b94d0c6df360...
https://lists.apache.org/thread.html/r064df0985779b7ee044d3120d71ba59750427cf...
https://lists.apache.org/thread.html/r476d175be0aaf4a17680ef98c5153b4d336eaef...
https://lists.apache.org/thread.html/r57608dc51b79102f3952ae06f54d5277b649c86...
https://lists.apache.org/thread.html/r688df6f16f141e966a0a47f817e559312b3da27...
https://lists.apache.org/thread.html/r75cbe9ea3e2114e4271bbeca7aff96117b50c1b...
https://lists.apache.org/thread.html/r9ea3538f229874c80a10af473856a81fbf5f694...
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f...
https://lists.apache.org/thread.html/rad01d817195e6cc871cb1d73b207ca326379a20...
https://lists.apache.org/thread.html/rad2acee3ab838b52c04a0698b1728a9a43467bf...
https://lists.apache.org/thread.html/rdca61ae990660bacb682295f2a09d34612b7bb5...
https://lists.apache.org/thread.html/re2e23465bbdb17ffe109d21b4f192e6b58221cd...
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f...
https://lists.apache.org/thread.html/rfbaf647d52c1cb843e726a0933f156366a806ce...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache http_server 2.2.10 -
运行在以下环境
应用 apache http_server 2.2.11 -
运行在以下环境
应用 apache http_server 2.2.12 -
运行在以下环境
应用 apache http_server 2.2.13 -
运行在以下环境
应用 apache http_server 2.2.14 -
运行在以下环境
应用 apache http_server 2.2.15 -
运行在以下环境
应用 apache http_server 2.2.9 -
运行在以下环境
应用 apache http_server 2.3.4 -
运行在以下环境
应用 apache http_server 2.3.5 -
运行在以下环境
系统 suse_12 apache2 * Up to
(excluding)
2.4.10-6
CVSS3评分
5.0
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
  • 可用性
  • 保密性
    部分地
  • 完整性
CWE-ID 漏洞类型
CWE-200 信息暴露
阿里云安全产品覆盖情况